[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Wifi configuration Debian Lenny Ibook G3

Hello again I checked the process again and have the next problem, I run the next command:

mimaquina:/# wpa_supplicant -ieth1 -c/etc/wpa_supplicant.conf -Dwext
Trying to associate with 00:14:bf:a6:43:e8 (SSID='linksys' freq=2437 MHz)
ioctl[SIOCSIWFREQ]: Device or resource busy
ioctl[SIOCSIWAP]: Operation not supported
Association request to the driver failed
Associated with 44:44:44:44:44:44
Associated with 00:14:bf:a6:43:e8
Associated with 00:14:bf:a6:43:e8
WPA: Key negotiation completed with 00:14:bf:a6:43:e8 [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to 00:14:bf:a6:43:e8 completed (auth) [id=0 id_str=]
WPA: Group rekeying completed with 00:14:bf:a6:43:e8 [GTK=TKIP]

My wpa_supplicant.conf file is:




My /etc/network/interfaces is:

# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

iface eth1 inet dhcp
        wpa-driver wext
        wpa-conf /etc/wpa_supplicant.conf

I need help...

2009/2/10 Geoff Simmons <gsimmons@gsimmons.org>
Hi Esteban,

On Tue, Feb 10, 2009 at 01:46:32PM -0600, Esteban Monge wrote:
> I update the kernel to 2.6.28-rc1

You would be better off using a released (ie. non-rc) 2.6.28 kernel, which can
be acquired through a Debian kernel snapshot package for your system.  This is
described in the "orinoco" Debian Wiki page previously mentioned to you.

> I configured the wpa_supplicant.conf:
> ctrl_interface_group=0
> ap_scan=2

Why are you specifying these options?  The version of wpa_supplicant in Lenny
(0.6.4) does not require ap_scan=2, this is only necessary for wpa_supplicant
versions <= 0.5.7 with the orinoco driver.  Also, ctrl_interface_group is
deprecated.  These configuration options should be removed unless absolutely

Please try using a 2.6.28 kernel image from kernel-archive.buildserver.net and
ensure you have acquired and installed the necessary Agere station firmware
(agere_sta_fw.bin).  Refer to the orinoco page on the Debian Wiki for

At the very least, verify "WPA-PSK supported" is shown in the kernel ring
buffer (dmesg) after loading the orinoco driver.


Linux user number 478378
Linux machine number 386687
Tec. Esteban Monge Marín
Tel: (506) 8379-3562

"No habrá manera de desarrollarnos y salir de
la pobreza mientras los pocos negocios
grandes de nuestro medio se entreguen a las
economías foráneas y nosotros nos
quedemos con solo negocios de pobre,
mientras en vez de ser propietarios de nuestro
propio país nos convirtamos en un ejército de
empleados del exterior"
José Figueres Ferrer, 1952.

Reply to: